This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1307390 - coin-or-OS: FTBFS in rawhide
coin-or-OS: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: coin-or-OS (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paulo Andrade
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:09 EST by Fedora Release Engineering
Modified: 2016-03-17 15:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-17 15:27:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (257.09 KB, text/plain)
2016-02-13 16:09 EST, Fedora Release Engineering
no flags Details
root.log (112.02 KB, text/plain)
2016-02-13 16:09 EST, Fedora Release Engineering
no flags Details
state.log (633 bytes, text/plain)
2016-02-13 16:09 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:09:09 EST
Your package coin-or-OS failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12809806

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:09:11 EST
Created attachment 1124240 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:09:12 EST
Created attachment 1124241 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:09:13 EST
Created attachment 1124242 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 09:36:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Yaakov Selkowitz 2016-03-01 15:28:52 EST
OSParseosil.tab.cpp:10774:120: error: cannot convert 'bool' to 'char*' in return
     if(i != 6) {  osilerror_wrapper( ch,osillineno,"incorrect sizeOf attribute in <base64BinaryData> element"); return false;}
OSParseosil.tab.cpp:180:98: error: cannot convert 'bool' to 'char*' in return
  if( *ch != '=') {  osilerror_wrapper( ch, osillineno, "found an attribute not defined"); return false;}  \
OSParseosil.tab.cpp:10776:5: note: in expansion of macro 'GETATTRIBUTETEXT'
     GETATTRIBUTETEXT;
     ^~~~~~~~~~~~~~~~
OSParseosil.tab.cpp:196:86: error: cannot convert 'bool' to 'char*' in return
      else {  osilerror_wrapper( ch, osillineno,"missing quote on attribute"); return false;} \
OSParseosil.tab.cpp:10776:5: note: in expansion of macro 'GETATTRIBUTETEXT'
     GETATTRIBUTETEXT;
     ^~~~~~~~~~~~~~~~
OSParseosil.tab.cpp:10784:128: error: cannot convert 'bool' to 'char*' in return
     if(*ch != '>' ) {  osilerror_wrapper( ch,osillineno,"<base64BinaryData> element does not have a proper closing >"); return false;}
OSParseosil.tab.cpp:10793:104: error: cannot convert 'bool' to 'char*' in return
     if(i != 18) { osilerror_wrapper( ch,osillineno," problem with <base64BinaryData> element"); return false;}
OSParseosil.tab.cpp:10801:129: error: cannot convert 'bool' to 'char*' in return
     if(*ch != '>' ) {  osilerror_wrapper( ch,osillineno,"</base64BinaryData> element does not have a proper closing >"); return false;}


See "Cannot convert 'bool' to 'T*'" in https://gcc.gnu.org/gcc-6/porting_to.html
Comment 6 Upstream Release Monitoring 2016-03-17 15:18:57 EDT
pcpa's coin-or-OS-2.10.1-1.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=746116
Comment 7 Paulo Andrade 2016-03-17 15:27:25 EDT
Successfully waited 2:05 for coin-or-OS-2.10.1-1.fc25 to appear in the rawhide repo

Note You need to log in before you can comment on or make changes to this bug.